QXmpp: QXmppStartTlsPacket Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppStartTlsPacket Class Reference
Stanzas

The QXmppStartTlsPacket represents packets used for initiating STARTTLS negotiation when connecting. More...

`#include <QXmppStartTlsPacket.h>`

Inheritance diagram for QXmppStartTlsPacket:

## Public Types
enum | Type { StartTls , Proceed , Failure , Invalid }
| The type of the STARTTLS packet. More...

## Public Member Functions
| QXmppStartTlsPacket (Type type=StartTls)
Type | type () const
| Returns the type of the STARTTLS packet.
void | setType (Type type)
| Sets the type of the STARTTLS packet.
Public Member Functions inherited from QXmppNonza
virtual bool | isXmppStanza () const
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Static Public Member Functions
static bool | isStartTlsPacket (const QDomElement &element)
static bool | isStartTlsPacket (const QDomElement &element, Type type)

## Detailed Description

The QXmppStartTlsPacket represents packets used for initiating STARTTLS negotiation when connecting.

Deprecated
  STARTTLS packets will be removed from the public API.

## Member Enumeration Documentation

## ◆ Type

enum QXmppStartTlsPacket::Type

The type of the STARTTLS packet.

Enumerator
StartTls | Used by the client to initiate STARTTLS.
Proceed | Used by the server to accept STARTTLS.
Failure | Used by the server to reject STARTTLS.
Invalid | Invalid type.

## Constructor & Destructor Documentation

## ◆ QXmppStartTlsPacket()

QXmppStartTlsPacket::QXmppStartTlsPacket | ( | Type | type = StartTls | ) |

Constructs a new QXmppStartTlsPacket

Parameters

  type | The type of the new QXmppStartTlsPacket.

## Member Function Documentation

## ◆ isStartTlsPacket() [1/2]

bool QXmppStartTlsPacket::isStartTlsPacket | ( | const QDomElement & | element | ) |
| static

Checks whether the given `element` is a STARTTLS packet according to RFC6120.

Parameters

  element | The element that should be checked for being a STARTTLS packet.

Returns
  True, if the element is a STARTTLS packet.

## ◆ isStartTlsPacket() [2/2]

bool QXmppStartTlsPacket::isStartTlsPacket | ( | const QDomElement & | element,
|  | Type | type )
| static

Checks whether the given `element` is a STARTTLS packet according to RFC6120 and has the correct type.

Parameters

  element | The element that should be checked for being a STARTTLS packet.
  type | The type the element needs to have.

Returns
  True, if the element is a STARTTLS packet and has the correct type.

The documentation for this class was generated from the following files:

- QXmppStartTlsPacket.h
- base/compat/removed_api.cpp